<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:c="http://java.sun.com/jstl/core"
                xmlns:a4j="http://richfaces.org/a4j">
    <!--  requires param
          - patient (net.ihe.gazelle.simulator.pam.model.Patient)
          - renderHistory (boolean) : indicates whether or not the Patient History tab containing the patient relations is shown
          - renderZFD (boolean)
          - zfp (boolean)
          - managedBean-->
    <ul class="nav nav-tabs" role="tablist">
        <li role="presentation" class="active">
            <a href="#demo" aria-controls="demo" role="tab" data-toggle="tab">#{messages['gazelle.simulator.pam.DemographicInformations']}</a>
        </li>
        <li role="presentation">
            <a href="#addr" aria-controls="addr" role="tab" data-toggle="tab">#{messages['gazelle.pam.LocationInformation']}</a>
        </li>
        <li role="presentation">
            <a href="#pid" aria-controls="pid" role="tab" data-toggle="tab">#{messages['net.ihe.gazelle.PatientManager.PatientIdentifiers']}</a>
        </li>
        <li role="presentation">
            <a href="#extra" aria-controls="extra" role="tab"
               data-toggle="tab">#{messages['gazelle.pam.AdditionalInformations']}</a>
        </li>
        <c:if test="${renderHistory}">
            <li role="presentation">
                <a href="#history" aria-controls="history" role="tab"
                   data-toggle="tab">#{messages['gazelle.pam.History']}</a>
            </li>
        </c:if>
    </ul>
    <div class="tab-content tab-content-with-border">
        <div role="tabpanel" class="tab-pane active" id="demo">
            <ui:include src="/patient/editAbstractPatientDemographic.xhtml">
                <ui:param name="patient" value="#{patient}"/>
                <ui:param name="displayFullDemographics" value="#{true}"/>
                <ui:param name="codeProvider" value="#{pamDemographicCodeProvider}"/>
                <ui:param name="renderMothersMaidenName" value="#{not simulatorFeatureDAO.isEPDEnabled()}"/>
            </ui:include>
            <div class="row">
                <div class="col-md-6">
                    <ui:decorate template="/layout/form/_edit.xhtml">
                        <ui:param name="id" value="msInput"/>
                        <ui:define name="label">#{messages['gazelle.pam.MaritalStatus']}</ui:define>
                        <h:selectOneMenu value="#{patient.maritalStatus}"
                                         id="msInput" styleClass="form-control gzl-select-text">
                            <f:selectItems
                                    value="#{valueSet.getListOfConcepts('HL70002')}"/>
                        </h:selectOneMenu>
                    </ui:decorate>
                </div>
                <div class="col-md-6">
                    <ui:decorate template="/layout/form/_edit.xhtml">
                        <ui:param name="id" value="ircInput"/>
                        <ui:define name="label">#{messages['gazelle.pam.IdentityReliabilityCode']}</ui:define>
                        <h:selectOneMenu value="#{patient.identityReliabilityCode}"
                                         id="ircInput" styleClass="form-control gzl-select-text">
                            <f:selectItems
                                    value="#{valueSet.getListOfConcepts('HL70445')}"/>
                        </h:selectOneMenu>
                    </ui:decorate>
                </div>
            </div>
        </div>
        <div role="tabpanel" class="tab-pane" id="addr">
            <ui:include src="/patient/editAbstractPatientAddress.xhtml">
                <ui:param name="patient" value="#{patient}"/>
                <ui:param name="codeProvider" value="#{pamDemographicCodeProvider}"/>
                <ui:param name="managerBean" value="#{managedBean}"/>
                <ui:param name="advancedEdit" value="#{true}"/>
            </ui:include>
        </div>
        <div role="tabpanel" class="tab-pane" id="extra">
            <ui:include src="/patient/editPatientExtraInfo.xhtml">
                <ui:param name="patient" value="#{patient}"/>
                <ui:param name="managedBean" value="#{managedBean}"/>
            </ui:include>
            <f:subview id="exForFr" rendered="#{renderZFD}">
                <ui:include src="/fr/_editAdditionalDemograhics.xhtml">
                    <ui:param name="demographics" value="#{patient.additionalDemographics}"/>
                    <ui:param name="zfp" value="#{zfp}"/>
                </ui:include>
            </f:subview>
        </div>
        <c:if test="${renderHistory}">
            <div role="tabpanel" class="tab-pane" id="history">
                <!-- This section will contain the list of relations of the current patient -->
                <ui:include src="/patient/historic.xhtml">
                    <ui:param name="patient" value="#{patient}"/>
                </ui:include>
            </div>
        </c:if>
    </div>
</ui:composition>